package com.bizzan.bitrade.service;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import com.bizzan.bitrade.dao.RiskControlDao;
import com.bizzan.bitrade.entity.RiskControl;
import com.bizzan.bitrade.service.Base.BaseService;
import com.querydsl.core.types.Predicate;

@Service
public class RiskControlService extends BaseService {

	@Autowired
	private RiskControlDao dao;
	
	public void save(RiskControl riskControl) {
		dao.save(riskControl);
	}
	
	public RiskControl queryById(Long id) {
		return dao.findOne(id);
	}
	
	public Page<RiskControl> findAll(Predicate predicate, Pageable pageable) {
        return dao.findAll(predicate, pageable);
    }
}
